//
// Asura_PlatformNetwork.cpp
//
// Created by KOR - 09 October 2006
//
// Copyright (C) 2006 Rebellion, All Rights Reserved.
//

#include "Core/Asura.h"

// This file's header.
#include "Network/Asura_Network.h"

void Asura_Network::PlatformInitialise(void)
{
}

void Asura_Network::PlatformShutdown(void)
{
}


void Asura_Network::PlatformUpdate(void)
{
}

void Asura_Network::PlatformStartClient(const char* szIPAddressToConnectTo)
{
}

void Asura_Network::PlatformStopClient(void)
{
}

bool Asura_Network::PlatformStartServer(void)
{
	return true;
}

void Asura_Network::PlatformStopServer(void)
{
}

void Asura_Network::Platform_SendMessageToServer(const Asura_Message* message)
{
}

void Asura_Network::Platform_SendMessageToAllClients(const Asura_Message* message)
{
}

void Asura_Network::Platform_SendMessageToClientMachine(const Asura_Message* pxMessage, int iMachine)
{
}

void Asura_Network::Platform_LockMessageQueue(void)
{
}

void Asura_Network::Platform_UnlockMessageQueue(void)
{
}


float Asura_Network::Platform_GetLatency(void)
{
	return 0.0f;
}

void Asura_Network::Platform_EndOfFrame(void)
{
}

void Asura_Network::Platform_StartGame()
{
}

void Asura_Network::Platform_GetNetworkBandwidthUsage(u_int& uSend, u_int& uReceive)
{
	uSend = 0;
	uReceive = 0;
}

void Asura_Network::Platform_GetPeakNetworkBandwidthUsage(u_int& uSend, u_int& uReceive)
{
	uSend = 0;
	uReceive = 0;
}

void Asura_Network::Platform_SetServerLANReporting(bool bEnable)
{
}

float Asura_Network::Platform_GetPacketLossPercent()
{
	return 0.0f;
}

u_int Asura_Network::Platform_GetLatencyForPlayer(unsigned int)
{
	return 0;
}

bool Asura_Network::Platform_ClientMessageHandler(const Asura_Message* pxMessage)
{
	return false;
}

bool Asura_Network::Platform_ServerMessageHandler(const Asura_Message* pxMessage)
{
	return false;
}

// (MH - 13.07.2004) when a player is kicked, the player's machine must be removed from 
// the game. Platform_RemoveMachineFromGame should result in the machine being removed
// within the delay time. Allowing some delay for buffered and guaranteed messages to 
// arrive is advisable, e.g. to ensure the player is informed of why he was kicked.
void Asura_Network::Platform_RemoveMachineFromGame( int iMachine, float fDelay )
{
}

